/*
 * Licensed Materials - Property of IBM* and/or HCL**
 * UrbanCode Build
 * (c) Copyright IBM Corporation 2013, 2017. All Rights Reserved.
 * (c) Copyright HCL Technologies Ltd. 2018. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by
 * GSA ADP Schedule Contract with IBM Corp.
 *
 * * Trademark of International Business Machines
 * ** Trademark of HCL Technologies Limited
 */
import com.urbancode.air.AirPluginTool
import com.urbancode.air.CommandHelper

def apTool = new AirPluginTool(this.args[0], this.args[1])
def props = apTool.getStepProperties()

def dirOffset = props['dirOffset']

def propertiesTextArea = props['propertiesTextArea']
def propertiesScope    = props['propertiesScope']

if (propertiesTextArea) {
    Properties properties = new Properties()
    properties.load(new StringReader(propertiesTextArea))

    def ucbUtilsHelper = new UCBUtilsHelper()
    ucbUtilsHelper.addProperties(properties, propertiesScope)
}
else {
    println 'No properties found to add'
}

